/*
Theme Name:     lcm-hijo
Theme URI:      https://www.lcmtics.es
Author:         LCM
Author URI:     https://www.lcmtics.es
Description:    Tema hijo de neve
Version:        1.3.0
Text Domain:    lcm-hijo
Template:       neve
*/
/*----------------- Empieza a añadir cambios aquí abajo -------------------------------*/
html, body {
  /*overflow: hidden;*/
  height: 100%;
  font-size:14px!important;
}

.nameuser{
    font-weight:bold;
	font-size:1.4rem;
}
#tabtickw{
    position:absolute;
    top:0;
}

     .spinner {
      border: 3px solid #f3f3f3;
      border-top: 3px solid #3498db;
      border-radius: 50%;
      width: 16px;
      height: 16px;
      animation: spin 1s linear infinite;
      display: inline-block;
      vertical-align: middle;
      margin-left: 10px;
      /*background:red;
      display:block;
      z-index:99999999999999;*/
    }

    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }
    
a:not([class]){
    text-decoration:none;
}
body > .wrapper:not(.et-fb-iframe-ancestor){
    overflow:unset!important;
}
#cb-row--footer-desktop-bottom .hfg-slot.left,#cb-row--footer-mobile-bottom .hfg-slot.left{
    visibility:hidden;height:5px;
}
.nover{
    display:none;
}
.nopulsado {
    text-align: center;
    flex: 1;
    padding: 10px 0;
    background: #fff;
    cursor: pointer;
    border-bottom: none;
        font-weight:bold;
        display: flex;
    align-items: center;
    justify-content: center;
}
.pulsado {
     display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex: 1;
    padding: 10px 0;
    color: white;
    border-bottom: none;
    font-weight:bold;
}
.tablanom{
    font-size:0.9rem;
    color:black;
    text-align:left;
    vertical-align:middle;
    border: 1px solid;
    background:white;
}
.tablanom thead{
    border:5px solid black;  
    border-collapse: separate!important;
    position:sticky;
    top:-3px;
}
.tablanom td{
    padding:3px 5px;
    border-bottom:0!important;
    font-size:0.9rem;
}
.tablanom > tbody > tr:last-child td {
    border:3px solid black;
}
.tablanom th{
    padding:3px 1px;
    font-size:0.8rem;
    color: white;
    background:var(--nv-primary-accent);
}
.tablanom input{
    width:90%;
    height:35px;
    background:lightgrey;
}
.error{
    color:red;
}
.ok{
    color:green;
}
.ko{
    color:red;
}
#cb-row--footer-bottom{
    display:none;
}
header{
/*
	position: fixed;
	width:100%;
	max-width: 100%;
	z-index:9999;
	height:0;
*/
}
@keyframes latido {
  0%
  {
    transform: scale( 1.1 ) translate(0, 0);
        -webkit-transform: scale( 1.1 ) translate(0, 0);
  }
  50%
  {
    transform: scale( 1 ) translate(0, 10px);
    -webkit-transform: scale( 1 ) translate(0, 10px);     
    
  }
   100%
  {
        transform: scale( 1.1 ) translate(0, 0);
         -webkit-transform: scale( 1.1 ) translate(0, 0);
  }
}
.movil{
display:none;
}
.micontainer{
    color:black; 
    font-size:1.1em;
    width:98%;
    padding:1%;
    max-width:1000px;   
    margin:auto;
    text-align:center;
}
.gran{
padding:1em;
font-size:1.2em;
font-weight:700;
line-height:1.2em;
}
.peq{
padding:1px;
font-size:0.8em;
font-weight:400;
line-height:0.8em;
}
.centro{
text-align:center;
}
.dcha{
text-align:right;
margin-right:3px;
}
.light{
background:rgb(0,0,0,0.09);
}
.heavy{
    background:#f2d5dc;
    font-weight:600;
}
.checks{
width:25px;
height:25px;
margin:5px;
vertical-align: middle;
cursor:pointer;
}
.checksl,.checksli{
width:20px;
height:20px;
cursor:pointer;
position: absolute;
  margin-left: 3px;
}
.checksli{
    visibility:hidden;
}
.loader{
justify-content: space-evenly;
flex-direction: column;
color:black;
text-align:left;
position:fixed;
width:80%;
min-width:800px;
padding:10px;
border-radius:10px;
z-index:99999;
top:50%;
left:50%;
transform: translate(-50%,-50%);
-webkit-transform: translate(-50%,-50%);
pointer-events:all;
min-height:75vh;
overflow:auto;
}
.loader input[type=date]{
resize:none!important;
padding:10px;
text-align: center;
border: 2px solid #73132a;
font-family: inherit;
background: transparent;  
}
.loader h4{
color:white;  
margin-bottom:5px;
text-align:center;
font-size:18px;
}
.loader span{
display:flex;
text-align:center;
line-height:1em;
font-size:0.9em;
justify-content: space-evenly;
}
.loader label{
    display:flex;
justify-content: space-evenly;
    flex-direction: column;
    padding:5px;
}
.loader p{
    font-weight:bold;
     line-height:1.5em;
     margin-bottom:5px;
     font-size:0.9em;
}
.loader select{
    min-width:4em;
    text-align:center;
    padding: 5px!important;
    font-weight:bold;
    font-family: inherit;
    opacity: 1;
    background-color: transparent;  
}

.loader button{
    padding:6px 20px;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}
.loader hr{
    margin-bottom:5px;
}
.loader button:hover{
    background:#ededed;
    right:0!important;
    top:0!important;
}
#quecompra{
    background:white;
    padding:5%;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none!important;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield!important;
}
.tabla-flex {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
  font-size:12px!important;
}

.cabecera,
.fila {
  display: flex;
  gap: 10px;
}

.cabecera label {
  flex: 1;
  font-weight: bold;
  text-align: left;
  padding: 8px;
  background-color: #f0f0f0;
  box-sizing: border-box;
}
.cabecera{
      background-color: #f0f0f0;
}
.fila input {
  flex: 1;
  min-width: 0;
  padding: 8px 3px;
  box-sizing: border-box;
}
.nombref{
    flex:8!important;
}
.nombre, input.nombre{
    flex:3!important;
}
button:disabled,
button[disabled]{
  border: 1px solid #999999!important;
  background-color: #cccccc!important;
  color: #666666!important;
  cursor:no-drop;
}
.divflex{
width:95%;
margin-left:5%;
padding:10px;
border-radius:10px;
display:flex;
align-items: center;
background: linear-gradient(180deg, #eaeaff, transparent);
}
.divflex h5{
color:black;  
margin-bottom:5px;
}
.divflex span{
display:flex;
line-height:1em;
justify-content: space-evenly;
flex-wrap:wrap;
flex:1;
}
.divflex label:first-child{
/*min-width:280px;*/
}
.divflex label{
display:flex;
justify-content: space-evenly;
flex-direction: row;
padding:5px;
}
.divflex p{
font-weight:bold;
line-height:1.5em;
margin:10px;
border:3px solid white;
padding:10px;
font-family:monospace;
}
#import{
     margin:15px auto 0; display:block;
}
@media (min-width: 736px) and (max-width: 960px){
html, body {
  font-size:13px!important;
}
.tablanom td{
    font-size:0.8rem;
    padding: 2px 1px;
    line-height:2em;
}
.tablanom th{
    font-size:0.8rem;
        padding: 2px 1px;
}
}

@media (min-width: 280px) and (max-width: 736px){
html, body {
  overflow: auto!important;
  height: 100%;
  font-size:12px!important;
}
.container {
  padding-right: 3px!important;
  padding-left: 3px!important;
}
.tablanom td{
    font-size:0.8rem;
    padding: 2px 1px;
    line-height:2em;
}
.tablanom th{
    font-size:0.8rem;
        padding: 2px 1px;
}
.divflex{
width:98%;
margin-left:1%;
}
.divflex p{
line-height:1.0em;
font-size:1.2em;
padding:5px;
margin:10px 0;
}
.loader{
width:calc(100% - 30px);
}
.nomovil{
display:none;
}
.movil{
display:block;
}
.micontainer{
    width:100%;
    padding:1px;
}
.gran{
font-size:1.0em;
font-weight:600;
}
.checks{
max-width:12px;
max-height:12px;
margin:1px;
}
.checksl,.checksli{
    width:12px;
    height:12px;
cursor:pointer;
position: relative;
margin-left: 1px;
}
}